CREATE TABLE characters (
  id SERIAL PRIMARY KEY,
  name VARCHAR(256) NOT NULL,
  class VARCHAR(64) NOT NULL,
  color VARCHAR(64),
  is_dm BOOLEAN DEFAULT FALSE NOT NULL,
  player_id INTEGER REFERENCES players (id) ON DELETE CASCADE NOT NULL,
  campaign_id INTEGER REFERENCES campaigns (id) ON DELETE CASCADE NOT NULL
);